Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.imp.objects.Attributes
              de.grogra.imp3d.objects.Attributes

Direct Known Subclasses:
  Attributes

    public class Attributes

extends Attributes

Field Summary
`static FloatAttribute` | `A`
`static ObjectAttribute` | `AREA_LIGHT`
`static ObjectAttribute` | `AXIS`
`static FloatAttribute` | `B`
`static BooleanAttribute` | `BASE_OPEN`
`static int` | `CSG_COMPLEMENT`
`static int` | `CSG_DIFFERENCE`
`static int` | `CSG_INTERSECTION`
`static int` | `CSG_NONE`
`static IntAttribute` | `CSG_OPERATION`
`static EnumerationType` | `CSG_OPERATION_TYPE`
`static int` | `CSG_UNION`
`static FloatAttribute` | `END_POSITION`
`static IntAttribute` | `EXPORTED_TRANSFORMATION`
`static EnumerationType` | `EXPORTED_TRANSFORMATION_TYPE`
`static ObjectAttribute` | `INTERIOR`
`static ObjectAttribute` | `LIGHT`
`static FloatAttribute` | `M1`
`static FloatAttribute` | `M2`
`static FloatAttribute` | `N11`
`static FloatAttribute` | `N12`
`static FloatAttribute` | `N13`
`static FloatAttribute` | `N21`
`static FloatAttribute` | `N22`
`static FloatAttribute` | `N23`
`static BooleanAttribute` | `OPEN`
`static IntAttribute` | `PER_VERTEX_SIZE`
`static ObjectAttribute` | `POLYGONS`
`static BooleanAttribute` | `SCALE_V`
`static ObjectAttribute` | `SHADER`
`static ObjectAttribute` | `SHAPE`
`static BooleanAttribute` | `SHIFT_PIVOT`
`static FloatAttribute` | `START_POSITION`
`static BooleanAttribute` | `TOP_OPEN`
`static ObjectAttribute` | `TRANSFORM`
`static ObjectAttribute` | `TRANSFORMATION`
`static BooleanAttribute` | `TREATED_AS_INFINITE`
`static IntAttribute` | `VISIBLE_SIDES`
`static int` | `VISIBLE_SIDES_BACK`
`static int` | `VISIBLE_SIDES_BOTH`
`static int` | `VISIBLE_SIDES_FRONT`
`static EnumerationType` | `VISIBLE_SIDES_TYPE`

Fields inherited from class de.grogra.imp.objects.Attributes
`ANGLE, BASE_RADIUS, CAPTION, COLOR, CONTINUOUS_VERTICAL_ALIGNMENT, CURVE, FILL_COLOR, FILLED, FLATNESS, FLOAT_DATA, FONT, H_ALIGN_CENTER, H_ALIGN_LEFT, H_ALIGN_RIGHT, HEIGHT, HORIZONTAL_ALIGNMENT, HORIZONTAL_ALIGNMENT_TYPE, LENGTH, OUTLINED, RADIUS, SCALE, SURFACE, TOP_RADIUS, TRANSFORMING, V_ALIGN_BOTTOM, V_ALIGN_CENTER, V_ALIGN_TOP, VALUE, VERTEX_GRID, VERTEX_LIST, VERTICAL_ALIGNMENT, VERTICAL_ALIGNMENT_TYPE, WIDTH`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary
`static boolean` | `isVisible(java.lang.Object obj, boolean asNode, Graph g)`

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### A

    public static final FloatAttribute A

### AREA_LIGHT

    public static final ObjectAttribute AREA_LIGHT

### AXIS

    public static final ObjectAttribute AXIS

### B

    public static final FloatAttribute B

### BASE_OPEN

    public static final BooleanAttribute BASE_OPEN

### CSG_COMPLEMENT

    public static final int CSG_COMPLEMENT

See Also:
  Constant Field Values

### CSG_DIFFERENCE

    public static final int CSG_DIFFERENCE

See Also:
  Constant Field Values

### CSG_INTERSECTION

    public static final int CSG_INTERSECTION

See Also:
  Constant Field Values

### CSG_NONE

    public static final int CSG_NONE

See Also:
  Constant Field Values

### CSG_OPERATION

    public static final IntAttribute CSG_OPERATION

### CSG_OPERATION_TYPE

    public static final EnumerationType CSG_OPERATION_TYPE

### CSG_UNION

    public static final int CSG_UNION

See Also:
  Constant Field Values

### END_POSITION

    public static final FloatAttribute END_POSITION

### EXPORTED_TRANSFORMATION

    public static final IntAttribute EXPORTED_TRANSFORMATION

### EXPORTED_TRANSFORMATION_TYPE

    public static final EnumerationType EXPORTED_TRANSFORMATION_TYPE

### INTERIOR

    public static final ObjectAttribute INTERIOR

### LIGHT

    public static final ObjectAttribute LIGHT

### M1

    public static final FloatAttribute M1

### M2

    public static final FloatAttribute M2

### N11

    public static final FloatAttribute N11

### N12

    public static final FloatAttribute N12

### N13

    public static final FloatAttribute N13

### N21

    public static final FloatAttribute N21

### N22

    public static final FloatAttribute N22

### N23

    public static final FloatAttribute N23

### OPEN

    public static final BooleanAttribute OPEN

### PER_VERTEX_SIZE

    public static final IntAttribute PER_VERTEX_SIZE

### POLYGONS

    public static final ObjectAttribute POLYGONS

### SCALE_V

    public static final BooleanAttribute SCALE_V

### SHADER

    public static final ObjectAttribute SHADER

### SHAPE

    public static final ObjectAttribute SHAPE

### SHIFT_PIVOT

    public static final BooleanAttribute SHIFT_PIVOT

### START_POSITION

    public static final FloatAttribute START_POSITION

### TOP_OPEN

    public static final BooleanAttribute TOP_OPEN

### TRANSFORM

    public static final ObjectAttribute TRANSFORM

### TRANSFORMATION

    public static final ObjectAttribute TRANSFORMATION

### TREATED_AS_INFINITE

    public static final BooleanAttribute TREATED_AS_INFINITE

### VISIBLE_SIDES

    public static final IntAttribute VISIBLE_SIDES

### VISIBLE_SIDES_BACK

    public static final int VISIBLE_SIDES_BACK

See Also:
  Constant Field Values

### VISIBLE_SIDES_BOTH

    public static final int VISIBLE_SIDES_BOTH

See Also:
  Constant Field Values

### VISIBLE_SIDES_FRONT

    public static final int VISIBLE_SIDES_FRONT

See Also:
  Constant Field Values

### VISIBLE_SIDES_TYPE

    public static final EnumerationType VISIBLE_SIDES_TYPE

Constructor Detail

### Attributes

    public Attributes()

Method Detail

### isVisible

    public static boolean isVisible(java.lang.Object obj,
                                    boolean asNode,
                                    Graph g)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD